#include <iostream>
#include<set>

using namespace std;
long long proizvod(long long x){
	long long p=1.0;
	while(x>0){
		p*=(x%10);
		x/=10;
	}
	return p;
}
int main() {
	long long T;
	cin>>T;
	while(T--){
		long long n;
		cin>>n;
		set<long long> br;
		for(long long i=1;i<=n;i++){
			br.insert(proizvod(i));
		}
		cout<<br.size()<<endl;
	}
	return 0;
}